New IT forum
27 June 2022, 11:20:37 am *
Welcome, %1$s. Please login or register.

: MiraBox now in stock.
 
Pages: [1]

Author Topic: Kernel module for rtl8192s_usb  (Read 6277 times)

tsktsktsk

  • Newbie
  • *
  • Posts: 3
Kernel module for rtl8192s_usb
« on: 25 August 2010, 10:19:50 am »

I have an rtl8192s_usb compatible stick plugged into my Sheevaplug (Meteoplug variant) but it doesn't appear to have the correct kernel module to support it.  I've read elsewhere that a 2.6.30 kernel does support this device and I was wondering if/when NewIT would be in a position to provide an update.  This is what I currently have [unit purchased this month]:

Linux meteoplug 2.6.29-2-kirkwood #1 Mon May 18 01:17:03 UTC 2009 armv5tel GNU/Linux

According to http://wiki.meteoplug.com/Getting_Started:

"Actual Meteoplug client Image is a minimal Linux 2.6.30.5 kernel with the proposed patches applied and a minimal loader, that loads the recent Meteoplug client software from the Meteoplug server. This takes care that each time your Meteoplug client gets rebooted, you will get the most recent SW version. So you never have to bother yourself with applying SW updates."

So am I running an outdated version of the Meteoplug product?  I noticed earlier that Meteohub v4.6.o has been released, but mine won't upgrade past v4.6.n

Also, is there a safe procedure for upgrading the kernel/OS on the Meteoplug that does not put the Meteohub software/data at risk?

Thanks in advance.
« Last Edit: 25 August 2010, 10:34:31 am by tsktsktsk »
Logged

NewIT_Marcus

  • Hero Member
  • *****
  • Posts: 960
Re: Kernel module for rtl8192s_usb
« Reply #1 on: 25 August 2010, 08:05:28 pm »

The software that we supply on the Meteohub SD card was prepared by the Meteohub people. We just sell the card the way they like it.

When I have tested the Meteohub software (and I don't use it myself, not having any suitable hardware), there is a web interface, and as soon as you log into that interface, you can upgrade the Meteohub software, if an update is available.

We can work with you and / or the Meteohub people to apply a kernel upgrade, but I wouldn't recommend doing so without their go-ahead; there may be other parts of the system that may break if the kernel is upgraded.

What response have you had from the Meteohub people about this?
Logged

tsktsktsk

  • Newbie
  • *
  • Posts: 3
Re: Kernel module for rtl8192s_usb
« Reply #2 on: 26 August 2010, 07:37:13 am »

Hi Marcus,

I haven't been in touch with the Meteohub people about this issue, as I wanted to try you guys first.  Is it possible that they might have provided New IT with an old image, or just haven't sent you an update recently?

I've done the normal 'Check for Update' via the web frontend, but it says nothing's available.

Linux Kernel:   2.6.29   1192 BogoMIPS, 516 MB RAM, SheevaPlug
MeteoHub:   4.6n (Build 147)   ©2010 by Boris Pasternak, [email protected]


I would appreciate any assistance you'd be able to give me, if Boris can provide an updated image.

Cheers,
Dave
Logged

NewIT_Marcus

  • Hero Member
  • *****
  • Posts: 960
Re: Kernel module for rtl8192s_usb
« Reply #3 on: 26 August 2010, 06:09:26 pm »

Boris worked remotely on one of our plugs, and we've only used the web update facility since then. I don't know if the update that you believe you need can come down via a Meteohub patch ,or if it needs a kernel / module upgrade which might not be deliverable by that route. If you get in touch with Boris, I'm sure he can clarify the appropriate steps.
Logged
Pages: [1]
 
 

Powered by MySQL Powered by PHP SMF 2.0.10 | SMF © 2015, Simple Machines Valid XHTML 1.0! Valid CSS!